<?php
require_once "sampdb_pdo.php";

# Nawiązanie połączenia, obsługa wyjątków nie jest włączona,
# ponieważ ten kod do określenia niepowodzenia metody
# używa wartości zwotnej metody, a nie wyjątków. 

$dbh = sampdb_connect ();
$dbh->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_SILENT);

$stmt = "SELECT * FROM no_such_table";
# _DBH_ERROR_METHODS_
if (!($sth = $dbh->query ($stmt)))
{
  print ("Wykonanie zapytania zakończyło się niepowodzeniem.\n");
  print ("errorCode: " . $dbh->errorCode () . "\n");
  print ("errorInfo: " . join (", ", $dbh->errorInfo ()) . "\n");
}
# _DBH_ERROR_METHODS_
# Wykonanie zapytania powoduje wygenerowanie błędu składni.
if (!($sth = $dbh->prepare ("INSERT INTO member")))
{
  print ("Nie można przygotować zapytania.\n");
  print ("errorCode: " . $dbh->errorCode () . "\n");
  print ("errorInfo: " . join (", ", $dbh->errorInfo ()) . "\n");
}
else
# _STH_ERROR_METHODS_
if (!$sth->execute ())
{
  print ("Nie można wykonać zapytania.\n");
  print ("errorCode: " . $sth->errorCode () . "\n");
  print ("errorInfo: " . join (", ", $sth->errorInfo ()) . "\n");
}
# _STH_ERROR_METHODS_
$dbh = NULL;
?>
